# 公司行动

`GET` `/v1/quote/company-act`

获取指定证券的公司行动历史，包括拆股、合并、分拆和配股等。

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 证券代码，例如 `AAPL.US` |
| `start_date` | string | No | 开始日期，格式 `YYYY-MM-DD` |
| `end_date` | string | No | 结束日期，格式 `YYYY-MM-DD` |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/quote/company-act?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `items` | object[] | Yes | 公司行动列表， |
| `└ id` | string | No | 行动 ID |
| `└ act_desc` | string | No | 行动描述 |
| `└ act_type` | string | No | 行动类型分类 |
| `└ action` | string | No | 行动代码（如 `DividendExDate`） |
| `└ date` | string | No | 生效日期 |
| `└ date_str` | string | No | 简短展示日期（MM.DD） |
| `└ date_type` | string | No | 日期类型标签（如 Payment Date） |
| `└ date_zone` | string | No | 时区（如 EST） |
| `└ delay_content` | string | No | 延迟内容描述 |
| `└ is_delay` | boolean | No | 是否延迟 |
| `└ live` | boolean | No | 是否实时 |
| `└ recent` | boolean | No | 是否为近期事件 |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "items": [
      {
        "id": "622620",
        "action": "DividendExDate",
        "act_type": "Distribution Plan",
        "act_desc": "Cash dividend 0.27 USD",
        "date": "20260514",
        "date_str": "05.14",
        "date_type": "Payment Date",
        "date_zone": "EST",
        "delay_content": "",
        "is_delay": false,
        "recent": false,
        "live": null
      }
    ]
  }
}
```
